:root {
    --primary: rgba(37, 37, 37, 1.0);
    --secondary: #444;
    --light: #fff;
    --glight: #E8E8E8;
    --dark: #000;
    --lighterdark: #322f2f;
    --bioinfo: #85CACD;
    --sabio: #98f7fa;
    --dabio: #7afbff;
    --lit: #8bf7e8;
    --barbie: #fad97f;
    --gfs: #cdf0a8; 
    --daw: #FAC172;
    --opap: #a9c58b;
    --finearts: #FBC68C;
    --home: #76e2e3;
    --ttfusion: #dbfac3;
    --vlogs: #c2fa87;
    --support: #d9fc81;
    --shades: rgba(238, 238, 238, 1.0);
    --lightyellow: #fefed0;
    --dark2: #282828;
    --orange: #ff895d;
    --pink: #edb1f1;
    --lighterpink: #f7ddf9;
    --lightblue: #b1dae7;
    --pgreen: #C1E1C1;
    --pred: #D37676;
    --llyellow: #F6F193;
    --tan: #EBD9B4;
    --dbio: #B2CBDE;
    --sbio: #304674;
    --waterl: #74ccf4;
    --waterd: #2389da;
    --waterdd: #0f5e9c;
    --earthg: #34A56F;
    --earthb: #EADDCA;
    --earthy: #FFFF8F;
    --sp1: #CBC3E3;
    --sp2: #8066B3;
    --sp3: #573B8C;
    --rp1: #fe8181;
    --rp2: #fe5757;
    --rp3: #cb2424;
    --earthh: #399669;
}

.scroll-to-top {
    width: 100;
    padding: 10px;
    text-align: center;
    font-size: 25px;
    a {
        text-decoration: none;
    }
}

#topBtn {
    display: none;
    position: fixed;
    bottom: 20px;
    right: 30px;
    z-index: 99;
    font-size: 18px;
    border: none;
    outline: none;
    background-color: var(--earthg);
    color: white;
    cursor: pointer;
    padding: 10px;
    width: 50px;
    border: 2px solid #fff;
    border-radius: 5px;
  }
  
  #topBtn:hover {
    background-color: #399669;
  }

  .ml4 {
    position: relative;
    font-weight: 900;
    font-size: 4.5em;
  }
  .ml4 .letters {
    position: absolute;
    margin: auto;
    left: 0;
    top: 0.3em;
    right: 0;
    opacity: 0; 
  }

.mobile-header-c1 {
    width: 100%;
    height: 50px;
    background-color: var(--lightyellow);
}

.scrolled-nav-logo {
    height: 90px !important;
}

.logo-not-home-scrolled {
    height: 175px;
    margin-left: 90px !important;
    position: relative;
    z-index: 10000;
    margin-bottom: 0 !important;
}

.homepage-bg {
    background-image: url("../images/homepage_bg_v2.png");
    background-repeat: no-repeat;
    background-position: center center;
    background-size: 100% 100%, auto;
    height: 100vh;
}

* {
    scroll-behavior: smooth;
}

.active-menu-option {
    background-color: var(--primary);
    color: var(--light);
}

.vlogs {
    background-color: var(--vlogs);
}

.bio-info {
    background-color: var(--bioinfo);
}

.sa-bio {
    background-color: var(--sabio);
}

.da-bio {
    background-color: var(--dabio);
}

.home {
    background-color: var(--home);
}

.lit {
    background-color: var(--lit);
}

.barbie {
    background-color: var(--barbie);
}

.support {
    background-color: var(--support);
}

.gfs {
    background-color: var(--gfs);
}

.daw {
    background-color: var(--daw);
}

.opap {
    background-color: var(--opap);
}

.fine-arts {
    background-color: var(--finearts);
}

.tt-fusion {
    background-color: var(--ttfusion);
}

body {
    font-family: 'Lato', sans-serif !important;
    margin: 0;
    padding: 0;
}

.logo-not-home {
    height: 175px;
    margin-left: 65px;
    position: relative;
    z-index: 10000;
    margin-bottom: 10px;
}

.logo-not-home-mobile {
    height: 175px;
    margin-left: 25px;
    position: relative;
    z-index: 10000;
}

.no-bs {
    box-shadow: none !important;
  }

ul {
  list-style-type: none !important;
  z-index: 10;
  margin: 0 !important;
  padding: 0 !important;
  overflow: hidden !important;
  /*background-color: var(--lightyellow);*/
  position: fixed !important;
  top: 0 !important;
  width: 100% !important;
  box-shadow: 0px 25px 6px -24px rgba(124,121,121,0.45);
}

li {
    min-height: 95px !important;
    height: 95px !important;
}

.fl {
    float: left;
}

.fr {
    float: right;
}

.less-p {
    padding: 10px 9px !important;
}

li a {
  display: block !important;
  color: var(--dark);
  text-align: center !important;
  padding: 10px 12px !important;
  text-decoration: none !important;
}

li a:hover:not(.active) {
    color: var(--lighterdark) !important;
}

.active {
  background-color: var(--primary);
  color: var(--light);
}

.home-logo {
    height: 500px;
    margin-top: 25%;
}

.overlay {
    height: 100%;
    width: 0;
    position: fixed;
    z-index: 1;
    top: 0;
    left: 0;
    background-color: var(--dark2);
    overflow-x: hidden;
    transition: 0.5s;
}

.mobile-footer {
    align-items: center;
    text-align: center;
    padding: 25px;
    background-color: var(--primary);
    color: #fff;
}

.mobile-footer-home {
    align-items: center;
    text-align: center;
    padding: 25px;
    margin-top: 175px;
    background-color: var(--primary);
    color: #fff;
}

.tiktok {
    height: 50px;
}

.overlay-content {
    position: relative;
    top: 15%;
    width: 100%;
    text-align: center;
    margin-top: 20px;
}

.overlay a {
    padding: 10px;
    text-decoration: none;
    font-size: 30px;
    color: var(--primary);
    display: block;
    transition: 0.3s;
}

.overlay a:hover,
.overlay a:focus {
    color: var(--dark2);
}

.overlay .closebtn {
    color: var(--light);
    position: absolute;
    top: 20px;
    right: 45px;
    font-size: 60px;
}

.overlay .closebtn:hover {
    color: var(--light);
    position: absolute;
    top: 20px;
    right: 45px;
    font-size: 60px;
}

@media screen and (max-height: 450px) {
    .overlay a {
        font-size: 20px
    }

    .overlay .closebtn {
        color: var(--light);
        font-size: 40px;
        top: 15px;
        right: 35px;
    }

    .overlay .closebtn:hover {
        color: var(--light);
        top: 15px;
        right: 35px;
        font-size: 40px;
    }

    .home-logo {
        height: 250px;
        margin-top: 100px;
    }
}

@media screen and (max-width: 450px) {
    body {
        background-color: #000;
        background: linear-gradient(var(--sabio), var(--dabio));
    }
    .overlay a {
        font-size: 20px
    }

    .overlay .closebtn {
        font-size: 40px;
        top: 15px;
        right: 35px;
    }

    .overlay .closebtn:hover {
        color: var(--light);
        font-size: 40px;
        top: 15px;
        right: 35px;
    }
    .page-footer {
        display: none;
    }
    .open-nav {
        width: 100%;
        height: 65px;
        display: block;
    }
}

.page-footer {
    flex-grow: 0;
    flex-shrink: 0;
    background-color: var(--primary);
    color: #f2f2f2;
    padding: 25px;
  }

  .page-footer-content {
    text-align: center;
    width: 100%;
    overflow: hidden;
    font-size: 12px;
  }

.mobile-content {
    display: none;
}

.home-logo-mobile {
    display: block;
    width: 350px;
    margin: 0 auto;
    margin: 20px auto;
}

.mobile-grid {
    display:block;
}

.mobile-grid > * {
    padding:1rem;
}

.mobile-grid-blue {
    background: url("../images/islamic_bg_pattern_compressed.png");
    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover;
    background-color: var(--lightyellow);
    width: 100%;
}

.mobile-grid-yellow {
    background-color: var(--lightyellow);
}

@media (min-width:768px) {
    .mobile-grid {
        display: grid;
        grid-auto-rows: 1fr;
        grid-template-columns: 1fr 1fr 1fr;
    }
}

.desktop-content {
    display: block;
}

@media (max-width: 767px) {
    .mobile-content {
        display: block;
    }

    .desktop-content {
        display: none;
    }

    .page-footer {
        display: none;
    }

    #footer {
        display: none;
    }
}

@media (max-width: 912px) {
    .mobile-content {
        display: block;
    }

    .desktop-content {
        display: none;
    }

    .page-footer {
        display: none;
    }

    #footer {
        display: none;
    }
}

.col-1 {
    padding: 0;
    display: flex;
    flex-grow: 1;
    width: 10%;
}

.col-1-bg {
    /*background: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' version='1.1' preserveAspectRatio='none' viewBox='0 0 10 10'> <path d='M0 0 L0 10 L10 10 ' fill='lightblue' /></svg>");
    background-repeat: no-repeat;
    background-position: center center;
    background-size: 100% 100%, auto;*/
    width: 10%;
    background-color: var(--lightyellow);
}

.col-2 {
    padding: 0;
    display: flex;
    flex-grow: 1;
    width: 10%;
    background-color: var(--orange);
}

.col-3 {
    padding: 5px;
    display: flex;
    flex-grow: 1;
    width: 10%;
    background-color: var(--lighterpink);
}

.col-4 {
    padding: 3px;
    display: flex;
    flex-grow: 1;
    width: 25%;
    /* opacity: 0.9; */
    background: url("../images/islamic_bg_pattern_3.png");
    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover;
    background-color: var(--lightyellow);
}

.islamic-border {
    width: 100%;
    background: url("../images/islamic_border.gif");
    background-repeat: no-repeat;
    background-position: top;
    background-attachment: fixed;
}

.col-5 {
    padding: 5px;
    display: flex;
    flex-grow: 1;
    width: 10%;
    background-color: var(--lighterpink);
}

.col-6 {
    padding: 0;
    display: flex;
    flex-grow: 1;
    width: 10%;
    background-color: var(--orange);
}

.col-7 {
    padding: 0;
    display: flex;
    flex-grow: 1;
    width: 10%;
    background-color: var(--lightyellow);
}

.col-content {
    width: 100%;
    align-content: center;
    text-align: center;
    align-items: center;
    overflow: hidden;
    height: 100vh;
}

.col {
    display: flex;
}

.spacer-1 {
    width: 102px;
    background-color: var(--lightyellow);
}

.spacer-2 {
    width: 102px;
    background-color: var(--lightyellow);
}

.open-nav {
    width: 100%;
    height: 200px;
    display: block;

    .logo {
        padding: 5px;
        font-size: 30px;
        float: left;
        margin-top: 10px;
        font-weight: bold;
        width: 50%;
    }

    .icon {
        float: right;
        font-size: 50px;
        cursor: pointer;
        margin-right: 25px;
    }
}
  
.top-navigation {
    width: 100%;
}

.blue-triangle-left {
    margin-top: 250px;
    height: 0;
    width: 0;
    border-left: 0 solid transparent;
    border-right: 170px solid var(--lightblue);
    border-bottom: 150px solid transparent;
    border-top: 150px solid transparent;
  }

  .blue-triangle-right {
    margin-top: 250px;
    height: 0;
    width: 0;
    border-left: 170px solid var(--lightblue);
    border-right: 0 solid transparent;
    border-bottom: 150px solid transparent;
    border-top: 150px solid transparent;
  }

  .pink-triangle-left-top {
    margin-top: 0;
    height: 0;
    width: 0;
    border-left: 245px solid var(--pink);
    border-right:  0 solid transparent;
    border-bottom: 257px solid transparent;
    border-top: 0 solid transparent;
  }

  .pink-triangle-right-top {
    margin-top: 0;
    height: 0;
    width: 0;
    border-left: 0 solid transparent;
    border-right: 200px solid var(--pink);
    border-bottom: 208px solid transparent;
    border-top: 85px solid var(--pink);
  }

  .pink-triangle-left-bottom {
    position: relative;
    bottom: 0;
    margin-top: 200px;
    height: 0;
    width: 0;
    border-left: 0 solid transparent;
    border-right: 225px solid var(--pink);
    border-bottom: 0 solid transparent;
    border-top: 0 solid transparent;
  }

  .pink-triangle-right-bottom {
    bottom: 0;
    margin-top: 200px;
    height: 0;
    width: 0;
    border-left: 0 solid transparent;
    border-right: 225px solid var(--pink); 
    border-bottom: 50px solid var(--pink);
    border-top: 200px solid transparent;
  }


.f-navbar {
    background-color: var(--primary);
    overflow: hidden;
    position: relative;
    bottom: 0;
    width: 100%;
    text-align: center;
    align-items: center;
    align-content: center;
    margin-bottom: 10px;
  }

  .f-navbar-logo {
    float: right;
    width: 125px;
    margin-right: 10px;
  }

  .f-navbar-logo-mobile {
    width: 75px;
    margin-right: 10px;
    margin-left: 10px;
  }
  
  .f-navbar a {
    float: left;
    display: block;
    color: #f2f2f2;
    text-align: center;
    padding: 15px 10px;
    text-decoration: none;
    font-size: 14px;
  }
  
  .f-navbar a:hover {
    color: var(--earthg);
  }
  
  .f-navbar a.active {
    color: var(--earthg);
    font-weight: bold;
  }
  
  .f-navbar .icon {
    display: none;
  }

@media screen and (max-width: 600px) {
    .f-navbar {
      display: none;
    }
    .page-footer {
        display: none;
    }
    #footer {
        display: none;
    }
    .open-nav {
        width: 100%;
        height: 65px;
        display: block;
    }
  }